> ## Documentation Index
> Fetch the complete documentation index at: https://docs.boost.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get details for a Boost

> Return detailed information about a Boost, including budget, allowlist, incentives, actions, and token metadata



## OpenAPI

````yaml https://api-v2.boost.xyz/openapi.json get /boosts/:id
openapi: 3.1.0
info:
  title: Boost V2 API
  description: Get Boosts and sign claims for the Boost Validator
  termsOfService: https://rabbithole-assets.s3.amazonaws.com/BoostStudios_Terms_Of_Service.pdf
  contact:
    url: https://airtable.com/appPys6nAx8smVpTA/shrqpPGsDx2W6oY24
    email: support@boost.xyz
  version: 2.0.0
servers:
  - url: https://api-v2.boost.xyz
    description: Boost V2
security: []
paths:
  /boosts/:id:
    get:
      tags:
        - Boost
      summary: Get details for a Boost
      description: >-
        Return detailed information about a Boost, including budget, allowlist,
        incentives, actions, and token metadata
      operationId: getBoost
      parameters:
        - schema:
            type: string
            description: The ID of the reward to retrieve details for
            example: 8453:0x378632819f39c74c4f56b1429e760739c5fb51b7:1
          required: true
          description: BoostID in format chainId:boostCoreAddress:identifier
          in: path
          name: id
      responses:
        '200':
          description: Returns a list of Boosts
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The reward's ID
                    example: 8453:0x378632819f39c74c4f56b1429e760739c5fb51b7:1
                  actionSteps:
                    type: array
                    items:
                      type: object
                      properties:
                        chainId:
                          type: integer
                          description: ''
                        claimant:
                          type: string
                          description: ''
                          example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                          pattern: ^0x[a-fA-F0-9]{40}$
                        signature:
                          type: string
                          description: ''
                        signatureName:
                          type: string
                          description: ''
                        signatureType:
                          type: string
                          enum:
                            - event
                            - function
                          description: ''
                        actionType:
                          type: number
                          description: ''
                        targetContract:
                          type: string
                          description: ''
                          example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                          pattern: ^0x[a-fA-F0-9]{40}$
                        parameters:
                          type: object
                          properties:
                            filterType:
                              type: number
                              description: ''
                            fieldType:
                              type: number
                              description: ''
                            fieldIndex:
                              type: number
                              description: ''
                            filterData:
                              type: string
                              description: ''
                          required:
                            - filterType
                            - fieldType
                            - fieldIndex
                            - filterData
                          description: ''
                      required:
                        - chainId
                        - signature
                        - signatureName
                        - signatureType
                        - actionType
                        - targetContract
                        - parameters
                    description: >-
                      An array of the reward's action steps, the actions
                      required for a user to claim
                  actionClaimant:
                    type:
                      - object
                      - 'null'
                    properties:
                      signature:
                        type: string
                        description: ''
                      signatureName:
                        type: string
                        description: ''
                      signatureType:
                        type: string
                        enum:
                          - event
                          - function
                        description: ''
                      fieldIndex:
                        type: integer
                        description: ''
                      targetContract:
                        type: string
                        description: ''
                        example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                        pattern: ^0x[a-fA-F0-9]{40}$
                      targetContractName:
                        type:
                          - string
                          - 'null'
                        description: ''
                      chainId:
                        type: integer
                        description: ''
                    required:
                      - signature
                      - signatureName
                      - signatureType
                      - fieldIndex
                      - targetContract
                      - targetContractName
                      - chainId
                    description: >-
                      An object containing information on how to extract a
                      claimant address from a valid action transaction
                  allowList:
                    type: object
                    properties:
                      owner:
                        type: string
                        description: >-
                          The owner of the allow list, who can modify allowed
                          users
                        example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                        pattern: ^0x[a-fA-F0-9]{40}$
                      contractAddress:
                        type: string
                        description: The contract address of the allow list
                        example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                        pattern: ^0x[a-fA-F0-9]{40}$
                      type:
                        type: string
                        enum:
                          - SimpleAllowList
                          - SimpleDenyList
                          - OpenAllowList
                          - OffchainAccessList
                        description: The type of the allow list
                      addresses:
                        type:
                          - array
                          - 'null'
                        items:
                          type: string
                          description: Ethereum address
                          example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                          pattern: ^0x[a-fA-F0-9]{40}$
                        description: List of addresses allowed or denied
                    required:
                      - owner
                      - contractAddress
                      - type
                    description: An object specifying configuration for who can claim
                  protocolFee:
                    type: string
                    description: The reward protocol fee, if any
                  maxParticipants:
                    type: string
                    description: The maximum number of users that can claim a reward
                  incentives:
                    type: array
                    items:
                      oneOf:
                        - type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - AllowListIncentive
                              description: >-
                                The type of the incentive, in this case
                                "AllowListIncentive"
                            allowListAddress:
                              type: string
                              description: The address of the allow list to target
                              example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                              pattern: ^0x[a-fA-F0-9]{40}$
                            limit:
                              type: string
                              description: >-
                                The maximum number of users that can claim the
                                incentive
                          required:
                            - type
                            - allowListAddress
                            - limit
                          description: >-
                            An incentive that when claimed, adds the claimant's
                            address to a Boost Protocol AllowList.
                        - type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - CGDAIncentive
                              description: >-
                                The type of the incentive, in this case
                                "CGDAIncentive"
                            asset:
                              type: string
                              description: The address of the asset to target
                              example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                              pattern: ^0x[a-fA-F0-9]{40}$
                            initialReward:
                              type: string
                              description: >-
                                The initial reward amount that will scale over
                                time
                            rewardDecay:
                              type: string
                              description: >-
                                The amount to subtract from the current reward
                                after each claim
                            rewardBoost:
                              type: string
                              description: >-
                                The amount by which the reward increases for
                                each hour without a claim (continuous linear
                                increase)
                            totalBudget:
                              type: string
                              description: The total budget for the incentive
                          required:
                            - type
                            - asset
                            - initialReward
                            - rewardDecay
                            - rewardBoost
                            - totalBudget
                          description: >-
                            An ERC20 incentive implementation with reward
                            amounts adjusting dynamically based on claim volume.
                        - type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - ERC20Incentive
                              description: >-
                                The type of this incentive, in this case
                                "ERC20Incentive"
                            asset:
                              type: string
                              description: The address of the underlying token
                              example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                              pattern: ^0x[a-fA-F0-9]{40}$
                            strategy:
                              type: number
                              description: >-
                                The strategy for the incentive (POOL=0,
                                RAFFLE=1)
                            reward:
                              type: string
                              description: The fixed reward amount per claim
                            limit:
                              type: string
                              description: Maximum number of claims remaining
                            claimedAmount:
                              type: string
                              description: The total amount of tokens claimed
                            totalClaims:
                              type: string
                              description: The total number of claims made
                            totalAmountClaimed:
                              type: string
                              description: The total amount of tokens claimed
                            metadata:
                              type:
                                - object
                                - 'null'
                              properties:
                                id:
                                  type: string
                                  description: The system ID of the token
                                chainId:
                                  type: number
                                  description: The chain ID where this token is deployed
                                address:
                                  type: string
                                  description: The address of the token
                                  example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                                  pattern: ^0x[a-fA-F0-9]{40}$
                                decimals:
                                  type: number
                                  description: >-
                                    The number of decimal places for the token,
                                    typically 18
                                name:
                                  type: string
                                  description: The display name for the token
                                symbol:
                                  type: string
                                  description: The token's symbol, "DEGEN" for example
                                imageUri:
                                  type: string
                                  description: >-
                                    A URI pointing to an image representing the
                                    token
                              required:
                                - id
                                - chainId
                                - address
                                - decimals
                                - name
                                - symbol
                                - imageUri
                              description: Additional metadata about the underlying token
                            remainingBalance:
                              type: string
                              description: >-
                                The remaining balance of the underlying token
                                for this incentive
                          required:
                            - type
                            - asset
                            - strategy
                            - reward
                            - limit
                          description: >-
                            A simple ERC20 incentive implementation that allows
                            claiming of tokens
                        - type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - PointsIncentive
                              description: >-
                                The type of this incentive, in this case
                                "PointsIncentive"
                            venue:
                              type: string
                              description: The address of the backing token contract
                            selector:
                              type: string
                              description: >-
                                The function selector of the transfer function
                                on the underlying venue contract
                            reward:
                              type: string
                              description: The fixed amount of points rewarded per claim
                            limit:
                              type: string
                              description: The maximum number of claims allowed
                          required:
                            - type
                            - venue
                            - selector
                            - reward
                            - limit
                          description: >-
                            A simple on-chain points incentive implementation
                            that allows claiming of soulbound tokens
                        - type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - ERC20VariableIncentive
                              description: >-
                                The type of this incentive, in this case
                                "ERC20VariableIncentive"
                            asset:
                              type: string
                              description: The address of the ERC20 token contract
                              example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                              pattern: ^0x[a-fA-F0-9]{40}$
                            reward:
                              type: string
                              description: >-
                                The scalar value specifying how much of the
                                claim amount is transferred to the claimant
                            limit:
                              type: string
                              description: The total amount of tokens that can be claimed
                            claimedAmount:
                              type: string
                              description: The total amount claimed
                            totalAmountClaimed:
                              type: string
                              description: The total amount claimed
                            totalClaims:
                              type: string
                              description: The total number of claims
                            metadata:
                              type:
                                - object
                                - 'null'
                              properties:
                                id:
                                  type: string
                                  description: The system ID of the token
                                chainId:
                                  type: number
                                  description: The chain ID where this token is deployed
                                address:
                                  type: string
                                  description: The address of the token
                                  example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                                  pattern: ^0x[a-fA-F0-9]{40}$
                                decimals:
                                  type: number
                                  description: >-
                                    The number of decimal places for the token,
                                    typically 18
                                name:
                                  type: string
                                  description: The display name for the token
                                symbol:
                                  type: string
                                  description: The token's symbol, "DEGEN" for example
                                imageUri:
                                  type: string
                                  description: >-
                                    A URI pointing to an image representing the
                                    token
                              required:
                                - id
                                - chainId
                                - address
                                - decimals
                                - name
                                - symbol
                                - imageUri
                              description: Additional metadata about the underlying token
                            remainingBalance:
                              type: string
                              description: >-
                                The remaining balance of the token for this
                                incentive
                          required:
                            - type
                            - asset
                            - reward
                            - limit
                          description: >-
                            A modified ERC20 incentive implementation that
                            allows claiming of variable token amounts with a
                            spending limit
                        - type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - ERC20VariableCriteriaIncentive
                              description: >-
                                The type of the incentive, in this case,
                                "ERC20VariableCriteriaIncentive"
                            asset:
                              type: string
                              description: >-
                                The address of the ERC20 token used as the asset
                                for the incentive
                              example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                              pattern: ^0x[a-fA-F0-9]{40}$
                            reward:
                              type: string
                              description: The scalar value to multiply the claim amount by
                            limit:
                              type: string
                              description: The total token budget for this incentive
                            maxReward:
                              type: string
                              description: >-
                                The maximum amount of tokens that can be claimed
                                in a single claim transaction
                            criteria:
                              type: object
                              properties:
                                criteriaType:
                                  type: integer
                                  enum:
                                    - 0
                                    - 1
                                  description: >-
                                    Extract claimable amount from event data or
                                    function arguments
                                signature:
                                  type: string
                                  description: >-
                                    The 4 byte signature of the event or
                                    function
                                fieldIndex:
                                  type: number
                                  description: >-
                                    The index of the function argument, or event
                                    log to extract the numerical claimable
                                    amount
                                targetContract:
                                  type: string
                                  description: >-
                                    The target contract that contains the
                                    function or event signature
                                  example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                                  pattern: ^0x[a-fA-F0-9]{40}$
                              required:
                                - criteriaType
                                - signature
                                - fieldIndex
                                - targetContract
                              description: >-
                                Criteria determining how to extract the reward
                                value from a transaction, by pulling a number
                                out of either event log data or function
                                arguments
                            claimedAmount:
                              type: string
                              description: The amount of tokens claimed by the user
                            totalAmountClaimed:
                              type: string
                              description: >-
                                The total amount of tokens claimed between all
                                claims
                            totalClaims:
                              type: string
                              description: >-
                                The total number of claims made against this
                                incentive
                            metadata:
                              type:
                                - object
                                - 'null'
                              properties:
                                id:
                                  type: string
                                  description: The system ID of the token
                                chainId:
                                  type: number
                                  description: The chain ID where this token is deployed
                                address:
                                  type: string
                                  description: The address of the token
                                  example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                                  pattern: ^0x[a-fA-F0-9]{40}$
                                decimals:
                                  type: number
                                  description: >-
                                    The number of decimal places for the token,
                                    typically 18
                                name:
                                  type: string
                                  description: The display name for the token
                                symbol:
                                  type: string
                                  description: The token's symbol, "DEGEN" for example
                                imageUri:
                                  type: string
                                  description: >-
                                    A URI pointing to an image representing the
                                    token
                              required:
                                - id
                                - chainId
                                - address
                                - decimals
                                - name
                                - symbol
                                - imageUri
                              description: Optional token metadata
                            remainingBalance:
                              type: string
                              description: The remaining token balance for this incentive
                            rebatePercentage:
                              type: number
                              description: >-
                                The rebate percentage for the Boost if
                                applicable
                          required:
                            - type
                            - asset
                            - reward
                            - limit
                            - maxReward
                            - criteria
                          description: An ERC20 incentive with variable reward amounts
                        - type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - ERC20VariableCriteriaIncentiveV2
                              description: >-
                                The type of incentive, in this case,
                                "ERC20VariableCriteriaIncentiveV2"
                            asset:
                              type: string
                              description: >-
                                The address of the ERC20 token used as the asset
                                for the incentive
                              example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                              pattern: ^0x[a-fA-F0-9]{40}$
                            reward:
                              type: string
                              description: The scalar value to multiply the claim amount by
                            limit:
                              type: string
                              description: The total token budget for this incentive
                            maxReward:
                              type: string
                              description: >-
                                The maximum amount of tokens that can be claimed
                                in a single claim transaction
                            criteria:
                              type: object
                              properties:
                                criteriaType:
                                  type: integer
                                  enum:
                                    - 0
                                    - 1
                                  description: >-
                                    Extract claimable amount from event data or
                                    function arguments
                                signature:
                                  type: string
                                  description: >-
                                    The 4 byte signature of the event or
                                    function
                                fieldIndex:
                                  type: number
                                  description: >-
                                    The index of the function argument, or event
                                    log to extract the numerical claimable
                                    amount
                                targetContract:
                                  type: string
                                  description: >-
                                    The target contract that contains the
                                    function or event signature
                                  example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                                  pattern: ^0x[a-fA-F0-9]{40}$
                                valueType:
                                  type: integer
                                  enum:
                                    - 0
                                    - 1
                                  description: >-
                                    The type of value used for the scalar value
                                    (RAW or WAD).
                              required:
                                - criteriaType
                                - signature
                                - fieldIndex
                                - targetContract
                                - valueType
                              description: >-
                                Criteria determining how to extract the reward
                                value from a transaction, by pulling a number
                                out of either event log data or function
                                arguments
                            claimedAmount:
                              type: string
                              description: The amount of tokens claimed by the user
                            totalAmountClaimed:
                              type: string
                              description: >-
                                The total amount of tokens claimed between all
                                claims
                            totalClaims:
                              type: string
                              description: >-
                                The total number of claims made against this
                                incentive
                            metadata:
                              type:
                                - object
                                - 'null'
                              properties:
                                id:
                                  type: string
                                  description: The system ID of the token
                                chainId:
                                  type: number
                                  description: The chain ID where this token is deployed
                                address:
                                  type: string
                                  description: The address of the token
                                  example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                                  pattern: ^0x[a-fA-F0-9]{40}$
                                decimals:
                                  type: number
                                  description: >-
                                    The number of decimal places for the token,
                                    typically 18
                                name:
                                  type: string
                                  description: The display name for the token
                                symbol:
                                  type: string
                                  description: The token's symbol, "DEGEN" for example
                                imageUri:
                                  type: string
                                  description: >-
                                    A URI pointing to an image representing the
                                    token
                              required:
                                - id
                                - chainId
                                - address
                                - decimals
                                - name
                                - symbol
                                - imageUri
                              description: Optional token metadata
                            remainingBalance:
                              type: string
                              description: The remaining token balance for this incentive
                            rebatePercentage:
                              type: number
                              description: >-
                                The rebate percentage for the Boost if
                                applicable
                          required:
                            - type
                            - asset
                            - reward
                            - limit
                            - maxReward
                            - criteria
                          description: An ERC20 incentive with variable reward amounts
                        - type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - ERC20PeggedIncentive
                              description: >-
                                The type of incentive, in this case
                                "ERC20PeggedIncentive"
                            asset:
                              type: string
                              description: The reward asset address
                              example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                              pattern: ^0x[a-fA-F0-9]{40}$
                            peg:
                              type: string
                              description: >-
                                The address of the peg asset, zero address for
                                the native token
                              example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                              pattern: ^0x[a-fA-F0-9]{40}$
                            reward:
                              type: string
                              description: >-
                                The amount of the pegged asset to reward a
                                corresponding amount of the reward asset
                            limit:
                              type: string
                              description: The total budget of the reward asset
                            claimedAmount:
                              type: string
                              description: The total amount of the reward asset claimed
                            totalClaims:
                              type: string
                              description: >-
                                The total number of claims made for this
                                incentive
                            totalAmountClaimed:
                              type: string
                              description: The total amount of the reward asset claimed
                            metadata:
                              type:
                                - object
                                - 'null'
                              properties:
                                id:
                                  type: string
                                  description: The system ID of the token
                                chainId:
                                  type: number
                                  description: The chain ID where this token is deployed
                                address:
                                  type: string
                                  description: The address of the token
                                  example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                                  pattern: ^0x[a-fA-F0-9]{40}$
                                decimals:
                                  type: number
                                  description: >-
                                    The number of decimal places for the token,
                                    typically 18
                                name:
                                  type: string
                                  description: The display name for the token
                                symbol:
                                  type: string
                                  description: The token's symbol, "DEGEN" for example
                                imageUri:
                                  type: string
                                  description: >-
                                    A URI pointing to an image representing the
                                    token
                              required:
                                - id
                                - chainId
                                - address
                                - decimals
                                - name
                                - symbol
                                - imageUri
                              description: Metadata for the reward asset
                            remainingBalance:
                              type: string
                              description: >-
                                The remaining balance of the reward asset for
                                this incentive
                          required:
                            - type
                            - asset
                            - peg
                            - reward
                            - limit
                          description: >-
                            An ERC20 incentive with reward amounts pegged to the
                            value of a configured peg asset
                        - type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - ERC20PeggedVariableCriteriaIncentive
                              description: >-
                                The incentive type, in this case
                                "ERC20PeggedVariableCriteriaIncentive"
                            asset:
                              type: string
                              description: The address of the reward asset
                              example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                              pattern: ^0x[a-fA-F0-9]{40}$
                            peg:
                              type: string
                              description: The address of the peg asset
                              example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                              pattern: ^0x[a-fA-F0-9]{40}$
                            reward:
                              type: string
                              description: >-
                                The amount to scale the pegged asset value to
                                reward a corresponding amount of the reward
                                asset
                            limit:
                              type: string
                              description: The total reward asset budget
                            maxReward:
                              type: string
                              description: >-
                                The maximum reward asset amount that can be
                                claimed in a single transaction
                            criteria:
                              type: object
                              properties:
                                criteriaType:
                                  type: integer
                                  enum:
                                    - 0
                                    - 1
                                  description: >-
                                    Extract claimable amount from event data or
                                    function arguments
                                signature:
                                  type: string
                                  description: >-
                                    The 4 byte signature of the event or
                                    function
                                fieldIndex:
                                  type: number
                                  description: >-
                                    The index of the function argument, or event
                                    log to extract the numerical claimable
                                    amount
                                targetContract:
                                  type: string
                                  description: >-
                                    The target contract that contains the
                                    function or event signature
                                  example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                                  pattern: ^0x[a-fA-F0-9]{40}$
                              required:
                                - criteriaType
                                - signature
                                - fieldIndex
                                - targetContract
                              description: >-
                                Criteria determining how to extract the reward
                                value from a transaction, by pulling a number
                                out of either event log data or function
                                arguments
                            claimedAmount:
                              type: string
                              description: The total amount claimed
                            totalAmountClaimed:
                              type: string
                              description: The total amount claimed
                            totalClaims:
                              type: string
                              description: The total number of claims
                            metadata:
                              type:
                                - object
                                - 'null'
                              properties:
                                id:
                                  type: string
                                  description: The system ID of the token
                                chainId:
                                  type: number
                                  description: The chain ID where this token is deployed
                                address:
                                  type: string
                                  description: The address of the token
                                  example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                                  pattern: ^0x[a-fA-F0-9]{40}$
                                decimals:
                                  type: number
                                  description: >-
                                    The number of decimal places for the token,
                                    typically 18
                                name:
                                  type: string
                                  description: The display name for the token
                                symbol:
                                  type: string
                                  description: The token's symbol, "DEGEN" for example
                                imageUri:
                                  type: string
                                  description: >-
                                    A URI pointing to an image representing the
                                    token
                              required:
                                - id
                                - chainId
                                - address
                                - decimals
                                - name
                                - symbol
                                - imageUri
                              description: Metadata about the incentive
                            remainingBalance:
                              type: string
                              description: >-
                                The remaining balance of the reward asset
                                spendable by this incentive
                            rebatePercentage:
                              type: number
                              description: >-
                                The rebate percentage for the Boost if
                                applicable
                          required:
                            - type
                            - asset
                            - peg
                            - reward
                            - limit
                            - maxReward
                            - criteria
                          description: >-
                            An ERC20 incentive with variable reward amounts
                            pegged to the value of a configured peg asset
                        - type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - ERC20PeggedVariableCriteriaIncentiveV2
                              description: >-
                                The incentive type, in this case
                                "ERC20PeggedVariableCriteriaIncentiveV2"
                            asset:
                              type: string
                              description: The address of the reward asset
                              example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                              pattern: ^0x[a-fA-F0-9]{40}$
                            peg:
                              type: string
                              description: The address of the peg asset
                              example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                              pattern: ^0x[a-fA-F0-9]{40}$
                            reward:
                              type: string
                              description: >-
                                The amount to scale the pegged asset value to
                                reward a corresponding amount of the reward
                                asset
                            limit:
                              type: string
                              description: The total reward asset budget
                            maxReward:
                              type: string
                              description: >-
                                The maximum reward asset amount that can be
                                claimed in a single transaction
                            criteria:
                              type: object
                              properties:
                                criteriaType:
                                  type: integer
                                  enum:
                                    - 0
                                    - 1
                                  description: >-
                                    Extract claimable amount from event data or
                                    function arguments
                                signature:
                                  type: string
                                  description: >-
                                    The 4 byte signature of the event or
                                    function
                                fieldIndex:
                                  type: number
                                  description: >-
                                    The index of the function argument, or event
                                    log to extract the numerical claimable
                                    amount
                                targetContract:
                                  type: string
                                  description: >-
                                    The target contract that contains the
                                    function or event signature
                                  example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                                  pattern: ^0x[a-fA-F0-9]{40}$
                                valueType:
                                  type: integer
                                  enum:
                                    - 0
                                    - 1
                                  description: >-
                                    The type of value used for the scalar value
                                    (RAW or WAD).
                              required:
                                - criteriaType
                                - signature
                                - fieldIndex
                                - targetContract
                                - valueType
                              description: >-
                                Criteria determining how to extract the reward
                                value from a transaction, by pulling a number
                                out of either event log data or function
                                arguments
                            claimedAmount:
                              type: string
                              description: The total amount claimed
                            totalAmountClaimed:
                              type: string
                              description: The total amount claimed
                            totalClaims:
                              type: string
                              description: The total number of claims
                            metadata:
                              type:
                                - object
                                - 'null'
                              properties:
                                id:
                                  type: string
                                  description: The system ID of the token
                                chainId:
                                  type: number
                                  description: The chain ID where this token is deployed
                                address:
                                  type: string
                                  description: The address of the token
                                  example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                                  pattern: ^0x[a-fA-F0-9]{40}$
                                decimals:
                                  type: number
                                  description: >-
                                    The number of decimal places for the token,
                                    typically 18
                                name:
                                  type: string
                                  description: The display name for the token
                                symbol:
                                  type: string
                                  description: The token's symbol, "DEGEN" for example
                                imageUri:
                                  type: string
                                  description: >-
                                    A URI pointing to an image representing the
                                    token
                              required:
                                - id
                                - chainId
                                - address
                                - decimals
                                - name
                                - symbol
                                - imageUri
                              description: Metadata about the incentive
                            remainingBalance:
                              type: string
                              description: >-
                                The remaining balance of the reward asset
                                spendable by this incentive
                            rebatePercentage:
                              type: number
                              description: >-
                                The rebate percentage for the Boost if
                                applicable
                          required:
                            - type
                            - asset
                            - peg
                            - reward
                            - limit
                            - maxReward
                            - criteria
                    description: An array of rewards that can be claimed
                  createdAtBlockchainNumbers:
                    type:
                      - object
                      - 'null'
                    additionalProperties:
                      type: string
                    description: The block number when this reward was created
                  owner:
                    type: string
                    description: The address of this reward's owner
                    example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                    pattern: ^0x[a-fA-F0-9]{40}$
                  isActive:
                    type: boolean
                    description: Is the reward still eligible to be claimed
                  createdAt:
                    type: string
                    description: The date and time when this Boost was created
                  availableBudgetUsd:
                    type:
                      - string
                      - 'null'
                    description: The available budget in USD for this Boost
                  budget:
                    type: string
                    description: Address of the Boost's funding budget account
                    example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                    pattern: ^0x[a-fA-F0-9]{40}$
                  templateId:
                    type:
                      - string
                      - 'null'
                    description: >-
                      System ID for the action template, which describes the
                      action that needs to be taken to be eligible for a claim
                  actionTemplateId:
                    type:
                      - string
                      - 'null'
                    description: >-
                      System ID for the action template, which describes the
                      action that needs to be taken to be eligible for a claim
                  nftImageUri:
                    type:
                      - string
                      - 'null'
                    description: URI of an image for the reward NFT
                  nftName:
                    type:
                      - string
                      - 'null'
                    description: Name of the NFT, if applicable
                  boostName:
                    type:
                      - string
                      - 'null'
                    description: >-
                      Human readable name describing the Boost, typically the
                      action that needs to be taken to be eligible for a claim
                  nftMetadataId:
                    type:
                      - string
                      - 'null'
                    description: System ID for the reward NFT metadata, if it exists
                  projectImageUri:
                    type:
                      - string
                      - 'null'
                    description: URI of an image for the reward token
                  tokenImageUri:
                    type:
                      - string
                      - 'null'
                    description: URI of an image for the token
                  startTime:
                    type:
                      - string
                      - 'null'
                    format: date-time
                    description: Start time of a boost
                  endTime:
                    type:
                      - string
                      - 'null'
                    format: date-time
                    description: End time of a boost
                required:
                  - id
                  - actionSteps
                  - allowList
                  - protocolFee
                  - maxParticipants
                  - incentives
                  - owner
                  - isActive
                  - createdAt
                  - budget
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    anyOf:
                      - type: string
                      - type: object
                        properties:
                          message:
                            type: string
                            description: Human readable message for error that occured
                          code:
                            type: number
                            description: >-
                              Error code for error that occured, will typically
                              be the HTTP status code
                        required:
                          - message
                    description: >-
                      A generic error object that can be used to represent any
                      error that occurs in the system.
                required:
                  - error

````